commit 01cb1fd66d612fb01e382d17c97d0f27adbd0b7a
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Fri Dec 12 01:19:36 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index edce0cefd60..7d836def256 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,9 @@
+2025-12-11  Vladimir N. Makarov  <vmakarov@redhat.com>
+
+	PR rtl-optimization/122215
+	* ira-color.cc (improve_allocation): Use register filter for all
+	loop on hard regs.
+
 2025-12-10  Robin Dapp  <rdapp@ventanamicro.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 8159af2b81c..82fce168875 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251211
+20251212
diff --git a/gcc/ada/ChangeLog b/gcc/ada/ChangeLog
index 05c43d50668..2c331f3e871 100644
--- a/gcc/ada/ChangeLog
+++ b/gcc/ada/ChangeLog
@@ -1,3 +1,14 @@
+2025-12-11  Eric Botcazou  <ebotcazou@adacore.com>
+
+	PR ada/123096
+	* exp_put_image.adb (Build_Record_Put_Image_Procedure): Call
+	Incomplete_Or_Partial_View with Partial_Only set to True.
+
+2025-12-11  Eric Botcazou  <ebotcazou@adacore.com>
+
+	PR ada/123088
+	* sem_aggr.adb (Resolve_Record_Aggregate): Add missing guard.
+
 2025-12-08  Eric Botcazou  <ebotcazou@adacore.com>
 
 	PR ada/123037
diff --git a/gcc/c/ChangeLog b/gcc/c/ChangeLog
index 5a6a3c0500d..ec211b5caa4 100644
--- a/gcc/c/ChangeLog
+++ b/gcc/c/ChangeLog
@@ -1,3 +1,11 @@
+2025-12-11  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2025-12-09  Jakub Jelinek  <jakub@redhat.com>
+
+	PR c/123018
+	* c-decl.cc (finish_struct): Diagnose bit-fields with vector type.
+
 2025-12-08  Jakub Jelinek  <jakub@redhat.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 0be56029ec4..24b721060f2 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,25 @@
+2025-12-11  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gnat.dg/specs/put_image2.ads: New test.
+
+2025-12-11  Vladimir N. Makarov  <vmakarov@redhat.com>
+
+	PR rtl-optimization/122215
+	* gcc.target/riscv/pr122215.c: New.
+	* lib/target-supports.exp (check_effective_target_valgrind): New.
+
+2025-12-11  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gnat.dg/aggr33.adb: New test.
+
+2025-12-11  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2025-12-09  Jakub Jelinek  <jakub@redhat.com>
+
+	PR c/123018
+	* gcc.dg/pr123018.c: New test.
+
 2025-12-10  Robin Dapp  <rdapp@ventanamicro.com>
 
 	Backported from master:
diff --git a/libgomp/ChangeLog b/libgomp/ChangeLog
index 76514f4434d..a1ff72fcdde 100644
--- a/libgomp/ChangeLog
+++ b/libgomp/ChangeLog
@@ -1,3 +1,10 @@
+2025-12-11  Frank Scheiner  <frank.scheiner@web.de>
+
+	Backported from master:
+	2025-11-25  Frank Scheiner  <frank.scheiner@web.de>
+
+	* affinity-fmt.c: Make char *q a pointer to a const char.
+
 2025-09-25  Tobias Burnus  <tburnus@baylibre.com>
 
 	Backported from master:

